<?php declare(strict_types=1);

/*
 * This file is part of the php-extended/php-html-object library
 *
 * (c) Anastaszor
 * This source file is subject to the MIT license that
 * is bundled with this source code in the file LICENSE.
 */

use PhpExtended\Css\CssSelectorParser;
use PhpExtended\Html\HtmlTransformerCssFilter;
use PHPUnit\Framework\TestCase;

/**
 * HtmlTransformerCssFilterTest test file.
 * 
 * @author Anastaszor
 * @covers \PhpExtended\Html\HtmlTransformerCssFilter
 * @internal
 * @small
 */
class HtmlTransformerCssFilterTest extends TestCase
{
	
	/**
	 * The object to test.
	 * 
	 * @var HtmlTransformerCssFilter
	 */
	protected HtmlTransformerCssFilter $_object;
	
	public function testToString() : void
	{
		$this->assertEquals(\get_class($this->_object).'@'.\spl_object_hash($this->_object), $this->_object->__toString());
	}
	
	/**
	 * {@inheritDoc}
	 * @see \PHPUnit\Framework\TestCase::setUp()
	 */
	protected function setUp() : void
	{
		$cssParser = new CssSelectorParser();
		$selector = $cssParser->parse('a');
		$this->_object = new HtmlTransformerCssFilter($selector);
	}
	
}
